Package org.opensaml.soap.wspolicy

# Class WSPolicyConstants

java.lang.Object
org.opensaml.soap.wspolicy.WSPolicyConstants

public final class WSPolicyConstants extends Object
WS-Policy 1.2 constants.

See Also:
  - "WS-Policy (http://schemas.xmlsoap.org/ws/2004/09/policy)"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`WSP_NS`
WS-Policy namespace.
`static final String`
`WSP_PREFIX`
WS-Policy namespace prefix.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`WSPolicyConstants()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### WSP_NS

@Nonnull @NotEmpty public static final String WSP_NS
WS-Policy namespace.

See Also:
  - Constant Field Values

### WSP_PREFIX

@Nonnull @NotEmpty public static final String WSP_PREFIX
WS-Policy namespace prefix.

See Also:
  - Constant Field Values

## Constructor Details

### WSPolicyConstants

private WSPolicyConstants()
Constructor. Private to prevent instantiation.